%define upstream_name    Data-Clone
%define upstream_version 0.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Polymorphic data cloning
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::PPPort)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(XSLoader)
BuildRequires: perl(parent)
BuildRequires: perl-devel

%{?perl_default_filter}

%description
'Data::Clone' does data cloning, i.e. copies things recursively. This is
smart so that it works with not only non-blessed references, but also with
blessed references (i.e. objects). When 'clone()' finds an object, it calls
a 'clone' method of the object if the object has a 'clone', otherwise it
makes a surface copy of the object. That is, this module does polymorphic
data cloning.

Although there are several modules on CPAN which can clone data, this
module has a different cloning policy from almost all of them. See the
/Cloning policy manpage and the /Comparison to other cloning modules
manpage for details.

Cloning policy
    A cloning policy is a rule that how a cloning routine copies data. Here
    is the cloning policy of 'Data::Clone'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.4.0-10.mga6
+ Revision: 1024791
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.4.0-9.mga6
+ Revision: 957055
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.4.0-8.mga6
+ Revision: 844767
- rebuild for soname-ifed perl

* Wed Jun 24 2015 tv <tv> 0.4.0-7.mga6
+ Revision: 842508
- rebuild with soname-ified perl

* Sat Oct 18 2014 umeabot <umeabot> 0.4.0-6.mga5
+ Revision: 787991
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 745052
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.4.0-4.mga5
+ Revision: 735455
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 684187
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.4.0-2.mga5
+ Revision: 631026
- Rebuild for perl 5.20

* Mon May 19 2014 sander85 <sander85> 0.4.0-1.mga5
+ Revision: 623877
- update to 0.004

* Sat Oct 19 2013 umeabot <umeabot> 0.3.0-4.mga4
+ Revision: 524754
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.3.0-3.mga4
+ Revision: 431421
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 365261
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 06 2012 jquelin <jquelin> 0.3.0-1.mga3
+ Revision: 256113
- imported package perl-Data-Clone


* Wed Jun 06 2012 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
